%define upstream_name    JSON-Validator
%define upstream_version 0.84

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    Artistic
Group:      Development/Perl
Summary:    Validate data against a JSON schema
Url:        https://metacpan.org/pod/JSON::Validator
Source0:    https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 6.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.16.0
BuildRequires: perl-Test-Warnings
BuildRequires: perl-Mojolicious >= 6.00
%{?perl_default_filter}

%description
Validate data against a JSON schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%{make_install}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Sep 03 2016 bcornec <bcornec> 0.840.0-1.mga6
+ Revision: 1049857
- Update to upstream perl-JSON-Validator 0.84

* Sun Jun 19 2016 pterjan <pterjan> 0.670.0-2.mga6
+ Revision: 1028877
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.670.0-1.mga6
+ Revision: 1001996
- update to 0.67

* Mon Feb 01 2016 bcornec <bcornec> 0.650.0-1.mga6
+ Revision: 930819
- Build as noarch and use appropriate make install macro (patch from David GEIGER)
- No debug pkg generated
- What I meant was Buildrequires deps for building perl-JSON-Validator
- import sha1.lst for the perl JSON::Validator module
- import the perl JSON::Validator module for Swagger2
- Created package structure for perl-JSON-Validator.

